Skip to main content
GET
/
solve
/
result
/
{jobId}
{
  "roster": {
    "demandFulfillment": {
      "shiftDemand": {
        "min": {
          "demand": 123,
          "assigned": 123
        },
        "ideal": {
          "demand": 123,
          "assigned": 123
        },
        "max": {
          "demand": 123,
          "assigned": 123
        }
      },
      "timeDemand": {
        "min": {
          "demand": 123,
          "assigned": 123
        },
        "ideal": {
          "demand": 123,
          "assigned": 123
        },
        "max": {
          "demand": 123,
          "assigned": 123
        }
      }
    },
    "employeeRosters": [
      {
        "employeeId": "<string>",
        "summary": {
          "hoursAssigned": 123,
          "hoursEffective": 123
        },
        "assignments": [
          {
            "day": {
              "date": "2023-12-25",
              "dayIndex": 1
            },
            "shiftId": "<string>",
            "roleId": "<string>",
            "assignmentType": "LOCKED"
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Include the access token in the Authorization header using the Bearer scheme.

Path Parameters

jobId
string<uuid>
required

Unique identifier for the solve job.

Response

Response containing the latest solve result.

Schedule response body containing all information about the solver result

roster
object

The created roster, including relevant information on the demand fulfillment and employee assignments.